// errors mixin
// accepts vuelidate object
// returns an array of string error messages
// supports vue-i18n

export default {
  methods: {
    getSlot (slot, key) {
      return key + (this.slots.indexOf(slot) + 1)
    },
    isActive (field) {
      return !field.hasOwnProperty('active') ? true : (typeof field.active === 'function' ? field.active() : field.active)
    },
    areEqual (left, right) {
      return JSON.stringify(left) === JSON.stringify(right)
    }
  }
}
