export default {
  props: {
    options: {
      type: [Object, Array],
      default () {
        return {}
      }
    }
  },
  watch: {
    options (val, oldVal) {
      this.updateCheckbox()
    }
  },
  methods: {
    // bindings for iterated fields like radio, checkbox, switch, select
    customOptions (obj) {
      return Object.assign({}, this.custom.field, this.iterationOptions(obj))
    },
    iterationOptions (obj) {
      return typeof obj === 'object' ? obj : { label: obj }
    }
  }
}
