export default {
  methods: {
    // filters out keys that are not used by schema anymore
    // should it be done for select too? probably not because select options are often dynamic / async
    updateCheckbox () {
      if (this.type === 'checkbox') {
        this.fieldModel = Object.keys(this.options).filter(key => this.fieldModel.indexOf(key) > -1)
      }
    },
    // checks if checkbox key should be disabled when the limit is hit
    checkboxLimit (key) {
      if (this.limit) {
        return this.fieldModel.length >= this.limit && this.fieldModel.indexOf(key) === -1
      }
    }
  }
}
